Package com.ocient.jdbc.proto

## Interface PlanProtocol.OrderedGatherOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.OrderedGatherOperator`, `PlanProtocol.OrderedGatherOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.OrderedGatherOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getDirections​(int index)` The directions for each sort col - true = ascending
`int` `getDirectionsCount()` The directions for each sort col - true = ascending
`List<Boolean>` `getDirectionsList()` The directions for each sort col - true = ascending
`PlanProtocol.GatherLevel` `getLevel()` `.xg.db.sqlPlans.GatherLevel level = 3;`
`int` `getLevelValue()` `.xg.db.sqlPlans.GatherLevel level = 3;`
`String` `getSortKeys​(int index)` The sort columns - order matters
`com.google.protobuf.ByteString` `getSortKeysBytes​(int index)` The sort columns - order matters
`int` `getSortKeysCount()` The sort columns - order matters
`List<String>` `getSortKeysList()` The sort columns - order matters

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getSortKeysList

    List<String> getSortKeysList()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Returns:
  A list containing the sortKeys.

#### getSortKeysCount

    int getSortKeysCount()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Returns:
  The count of sortKeys.

#### getSortKeys

    String getSortKeys​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The sortKeys at the given index.

#### getSortKeysBytes

    com.google.protobuf.ByteString getSortKeysBytes​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the sortKeys at the given index.

#### getDirectionsList

    List<Boolean> getDirectionsList()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Returns:
  A list containing the directions.

#### getDirectionsCount

    int getDirectionsCount()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Returns:
  The count of directions.

#### getDirections

    boolean getDirections​(int index)

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The directions at the given index.

#### getLevelValue

    int getLevelValue()

`.xg.db.sqlPlans.GatherLevel level = 3;`

Returns:
  The enum numeric value on the wire for level.

#### getLevel

    PlanProtocol.GatherLevel getLevel()

`.xg.db.sqlPlans.GatherLevel level = 3;`

Returns:
  The level.